import { provide as c, inject as o, computed as n } from "vue";
const e = /* @__PURE__ */ Symbol("checkCardContextKey");
function C(t) {
  c(e, t);
}
function d() {
  return o(
    e,
    n(() => null)
  );
}
export {
  e as checkCardContextKey,
  d as useInjectCheckCard,
  C as useProvideCheckCard
};
